Mutex
Mutex::destroy
Mutex
PHP Manual

# Mutex::create

(PECL pthreads >= 2.0.0)

Mutex::create — Create a Mutex

### Description

final public static long Mutex::create ([ boolean `$lock` ] )

Create, and optionally lock a new Mutex for the caller

### Parameters

`lock`

  Setting lock to true will lock the Mutex for the caller before returning the handle

### Return Values

A newly created and optionally locked Mutex handle

### Examples

Example #1 Mutex Creation and Destruction

`<?php
/** You cannot use the "new" keyword, a Mutex is not a PHP object **/
$mutex = Mutex::create();
/** You have the physical address of the Mutex **/
var_dump($mutex);
/** Always destroy mutex you have created **/
Mutex::destroy($mutex);
?>`

The above example will output:

    int(40096976)

Mutex
Mutex::destroy
Mutex
PHP Manual